Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### keyReleased()

Examples

    // Click on the image to give it focus,
    // and then press any key

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void keyReleased()
    {
      if(value == 0) {
        value = 255;
      } else {
        value = 0;
      }
    }

Description | The keyReleased() function is called once every time a key is released.

Syntax

    void keyReleased() {
      statements
    }

Parameters

Usage | Web & Application
Related | keyPressed key keyCode keyPressed()

Updated on December 20, 2005 02:03:00pm PST